Topic: Error message when using porta!

I am using web page maker to make a pretty basic site as im not too familiar with html. I have put in an iframe so i can put porta album on my site. works fine when i preview it but when i publish my site a message appears saying

This Porta-generated SimpleViewer album requires Adobe Flash ver. 7 (or newer).


If you already have Flash installed, view the Flash-based album.

Otherwise, view the HTML-based album.

www lost-society co uk / ch1 html

i can see simpleviewer on othersites so i think i know i have flash working on my computer. is there a specific reason its not working.

help would be appreciated!